<?php

    lt_include( PLOG_CLASS_PATH."class/net/baserequestgenerator.class.php" );
    
    class MobileRequestGenerator extends BaseRequestGenerator
    {
    
        function MobileRequestGenerator( $blogInfo )
        {
            $this->BaseRequestGenerator( $blogInfo );
        }
        
        function getMobileUrl()
        {
            return( $this->getBaseUrl()."/mobile.php" );
        }
        
        function blogLink()
        {
            return( $this->getMobileUrl()."?blogId=".$this->_blogInfo->getId());
        }
        
        function postPermalink( $post )
        {
            $url = $this->getMobileUrl()."?op=ViewArticle&amp;blogId=".$this->_blogInfo->getId()."&amp;articleId=".$post->getId();
            
            return( $url );
        }
    }
?>